Package twisted :: Package internet :: Module wxsupport

[frames | no frames]

## Module twisted.internet.wxsupport

Old method of wxPython support for Twisted.

twisted.internet.wxreactor is probably a better choice.

To use:

       | # given a wxApp instance called myWxAppInstance:
       | from twisted.internet import wxsupport
       | wxsupport.install(myWxAppInstance)

Use Twisted's APIs for running and stopping the event loop, don't use wxPython's methods.

On Windows the Twisted event loop might block when dialogs are open or menus are selected.

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Classes
`wxRunner` | Make sure GUI events are handled.

Function Summary
| ``install`(app)` Install the wxPython support, given a wxApp instance

Function Details

### install(app)

Install the wxPython support, given a wxApp instance

Generated by Epydoc 2.0 on Sat May 15 20:08:08 2004 | http://epydoc.sf.net